// pages/electricQuery/index.js
import { getElectricityList } from "../../service/accounting";
import { getTenementMeterList } from "../../service/meter";
import dayjs from "../../utils/dayjs";
import request from '../../utils/request';
import * as echarts from '../..//components/echarts/echarts';
const { OK } = request;
const piedata = [1,2,3,4,5]
Page({

  /**
   * 页面的初始数据
   */
  data: {
    queryType: 0,
    timeType: 0,
    show: false,
    columns: [],
    meterList: [],
    meterCode: "",
    meterId: "",
    year: dayjs().format('YYYY'),
    yearMonth: dayjs().format("YYYY-MM"),
    yearMonthDay: dayjs().format("YYYY-MM-DD"),
    header: [
      { key: 'address', title: '电表地址', renderBody: (item) => item.meter?.address },
      { title: '时间',renderBody: (item) => { return item.time } },
      { key: 'number', title: '耗量' },
    ],
    list: []
  },
  changeQueryType(e) {
    const { type } = e.currentTarget.dataset
    this.setData({ queryType: type },() => {
      this.init()
    })
  },
  changeTimeType(e) {
    const { type } = e.currentTarget.dataset
    this.setData({ timeType: type }, () => {
      this.init()
    })
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
  },
  async init() {
    const { queryType, timeType, meterId } = this.data;
    const { code, message, data } = await getElectricityList({ type: queryType, meter: meterId, time: timeType })
    console.log('data', data)
    this.setData({ list: data })
  },
  async getMeters() {
    const { id } = wx.getStorageSync('tenement')
    const { code, message, data } = await getTenementMeterList(id);
    // if (code !== OK) {
    //   alertInfo(message)
    //   return;
    // }
    
    this.setData({
      meterList: data || [],
    })
  },
  clickMeter() {
    this.setData({
      type: "meter",
      columns: [{ id: "", name: "全部", code: "" }, ...this.data.meterList.map(item => ({ id: item.id, name: `${item.code}-${item.address}`, code: item.code }))],
      show: true,
      title: "表计"
    })
  },
  onCancel() {
    this.setData({
      type: "meter",
      columns: [],
      show: false,
      title: "",
    })
  },
  onOk(e) {
    const { type, value = {} } = e.detail;
    const { id, code } = e;
    console.log('e', e)
    const { year } = this.data;
    // const currentYear = years[Number(e)]
    this.setData({
      // year: currentYear,
      codeId: id,
      meterCode: code, 
      type: "",
      show: false,
      title: ""
    }, () => {
      this.init();
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getMeters()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})